/*
Author: Dave Bone 
FILE:    dp_1.lex
Date:    7 mar 2014	
Purpose: Test out compiler/compiler with Deremer and Pennello lalr grammar page 632
*/

/@
@** Deremer and Pennello page 632 Lalr(1) Grammar.\fbreak
Efficient Computation of LALR(1) Look-Ahead Sets\fbreak
ACM Transactions on Programming Languages and Systems, 4(4):615—649, 1982\fbreak
@/

fsm	
(fsm-id "dp_1.lex",fsm-filename dp_1,fsm-namespace NS_dp_1
,fsm-class Cdp_1
,fsm-version	"1.0",fsm-date "7 mar 2014",fsm-debug "false"
,fsm-comments	"LALR(1) Deremer and Pennello grammar from page 632.")
@"/usr/local/yacco2/compiler/grammars/yacco2_T_includes.T"

rules{
Rs(){
  -> Rs1 eog 
}

Rs1(){
  -> a Ra c
  -> a g d
  -> b Ra d
  -> b g c
}

Ra(){
  -> Rb
}

Rb(){
  -> g
}
}
